Skip to main content

Create Property Custom Data: Rent Manager

POSThttps://api.propexo.com/v1/properties/rentmanager/:property_id/custom-data
Method
POST /UserDefinedFields
POST /UserDefinedValues
POST /Units/UserDefinedValues
POST /Contacts/UserDefinedValues
POST /LeaseRenewals/{id}/NonCommercialUserDefinedValues
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

property_id stringrequired

The Propexo unique identifier for the property

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    custom_data objectrequired

    A mapping of the fields you want to update and the associated values. Rent Manager has a limit of 10 key/value pairs

    property name* object
    valuestringrequired

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    custom_data objectrequired
    property name* object
    valuestringrequired

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/properties/rentmanager/:property_id/custom-data
curl -X POST https://api.propexo.com/v1/properties/rentmanager/:property_id/custom-data \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"custom_data": {}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"custom_data": {}
}
}